//
// JmsaQueueConnection.java - JMS Adapter QueueConnection
//

package nyangau.jmsadapter;

import javax.jms.*;

public class JmsaQueueConnection extends JmsaConnection implements QueueConnection
  {
//...sJmsaQueueConnection:2:
public JmsaQueueConnection(QueueConnection c, FlowProcessor fp)
  { super(c, fp); }
//...e
//...screateDurableConnectionConsumer \45\ forbidden:2:
public ConnectionConsumer createDurableConnectionConsumer(
  Topic topic,
  String subscriptionName,
  String messageSelector,
  ServerSessionPool sessionPool,
  int maxMessages
  )
  throws JMSException
  { throw new javax.jms.IllegalStateException("forbidden by JMS spec"); }
//...e
//...screateConnectionConsumer:2:
public ConnectionConsumer createConnectionConsumer(
  Queue queue,
  String messageSelector,
  ServerSessionPool sessionPool,
  int maxMessages
  )
  throws JMSException
  {
  return ((QueueConnection)c).createConnectionConsumer(
    (Queue) getDest(queue),
    messageSelector,
    sessionPool,
    maxMessages
    );
  }
//...e
//...screateQueueSession:2:
public QueueSession createQueueSession(boolean transacted, int acknowledgeMode)
  throws JMSException
  {
  JmsaQueueSession s = new JmsaQueueSession( ((QueueConnection)c).createQueueSession(transacted, acknowledgeMode), this, fp );
  ss.add(s);
  return s;
  }
//...e
  }
